# Uses of Interface
org.eclipse.emf.cdo.session.remote.CDORemoteTopic

Packages that use CDORemoteTopic
Package
Description
org.eclipse.emf.cdo.session.remote
Client concepts for the communication and collaboration with other sessions.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDORemoteTopic in org.eclipse.emf.cdo.session.remote

Methods in org.eclipse.emf.cdo.session.remote that return CDORemoteTopic
Modifier and Type
Method
Description
`CDORemoteTopic`
CDORemoteTopicEvent.`getSource()`
Returns the topic that emitted this event.
`CDORemoteTopic`
CDORemoteSessionManager.`getSubscribedTopic(String id)`
Returns the `topic` with the given `id`, if it is currently subscribed, `null` otherwise.
`CDORemoteTopic[]`
CDORemoteSessionManager.`getSubscribedTopics()`
Returns an array of the currently subscribed `topics`.
`CDORemoteTopic`
CDORemoteSessionManager.`subscribeTopic(String id)`
Subscribes to the topic identified by the given `id`.

## Uses of CDORemoteTopic in org.eclipse.emf.spi.cdo

Subinterfaces of CDORemoteTopic in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDORemoteTopic`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.spi.cdo with parameters of type CDORemoteTopic
Modifier and Type
Method
Description
`Set<Integer>`
CDOSessionProtocol.`sendRemoteMessage(CDORemoteSessionMessage message, CDORemoteTopic topic, List<CDORemoteSession> recipients)`